/*
    *
    * This file is taken from libcsys <https://gitlab.com/cubocore/corestuff>
    * Further modifications may br done as per the requirements of DesQ
    * All bug repots are to be filed with DesQ and not libcsys
    *

    *
    * This program is free software; you can redistribute it and/or modify
    * it under the terms of the GNU General Public License as published by
    * the Free Software Foundation; either version 3 of the License, or
    * (at your option) any later version.
    *

    *
    * This program is distributed in the hope that it will be useful,
    * but WITHOUT ANY WARRANTY; without even the implied warranty of
    * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    * GNU General Public License for more details.
    *

    *
    * You should have received a copy of the GNU General Public License
    * along with this program; if not, write to the Free Software
    * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
    * MA 02110-1301, USA.
    *
*/

#pragma once

#include <QDialog>
#include <QWidget>
#include <QCommandLinkButton>
#include <QToolButton>

#include <desq/Power.hpp>

class LogoutDialog : public QDialog {
	Q_OBJECT

	public:
		LogoutDialog();

	private:
		QCommandLinkButton *logOutBtn, *suspendBtn, *hibernateBtn, *powerOffBtn, *rebootBtn;
		QToolButton *cancelBtn;
		Power *powerDBus;
};
